# UI\Draw\Text\Layout::__construct

(PHP 7, UI 0.9.9)

UI\Draw\Text\Layout::__construct — Construct a new Text Layout

### Description

public UI\Draw\Text\Layout::__construct ( string `$text` , UI\Draw\Text\Font `$font` , float `$width` )

Shall construct a new Text Layout

### Parameters

`text`

  The text for the layout

`font`

  The font to use for writing

`width`

  The width of the layout